| Home | Libraries | People | FAQ | More

## Function template type_name

boost::compute::type_name

## Synopsis

    // In header: <boost/compute/type_traits/type_name.hpp>

    template<typename T> const char * type_name();

## Description

Returns the OpenCL type name for the type `T` as a string.

For example:

    type_name<float>() == "float"
    type_name<float4_>() == "float4"

See Also:

type_definition<T>()

Returns: | a string containing the type name for `T`